OGRE: Ogre::EmbeddedZipArchiveFactory Class Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Types | Public Member Functions | Static Public Member Functions | List of all members
Ogre::EmbeddedZipArchiveFactory Class Referenceabstract
Core » Resources

Specialisation of ZipArchiveFactory for embedded Zip files. More...

`#include <OgreZip.h>`

Inheritance diagram for Ogre::EmbeddedZipArchiveFactory:
[legend]

## Public Types
typedef bool(* | DecryptEmbeddedZipFileFunc) (size_t pos, void *buf, size_t len)
| a function type to decrypt embedded zip file More...

## Public Member Functions
| EmbeddedZipArchiveFactory ()
virtual | ~EmbeddedZipArchiveFactory ()
virtual void | convertPath (String &inOutPath) const
| Some implementations (i.e. More...
virtual Archive * | createInstance (const String &name)
| Creates a new object. More...
Archive * | createInstance (const String &name, bool readOnly)
| Creates a new object. More...
void | destroyInstance (Archive *ptr)
| Destroys an object which was created by this factory. More...
virtual const String & | getType () const=0
| Returns the factory type. More...
const String & | getType (void) const
| Returns the factory type. More...
void | operator delete (void *ptr)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete (void *ptr, void *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
void * | operator new (size_t sz)
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info More...
void * | operator new (size_t sz, void *ptr)
| placement operator new More...
void * | operator new[] (size_t sz)
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info More...

## Static Public Member Functions
static void | addEmbbeddedFile (const String &name, const uint8 *fileData, size_t fileSize, DecryptEmbeddedZipFileFunc decryptFunc)
| Add an embedded file to the embedded file list. More...
static void | removeEmbbeddedFile (const String &name)
| Remove an embedded file to the embedded file list. More...

## Detailed Description

Specialisation of ZipArchiveFactory for embedded Zip files.

## Member Typedef Documentation

## ◆ DecryptEmbeddedZipFileFunc

typedef bool(* Ogre::EmbeddedZipArchiveFactory::DecryptEmbeddedZipFileFunc) (size_t pos, void *buf, size_t len)

a function type to decrypt embedded zip file

Parameters

  pos | pos in file
  buf | current buffer to decrypt
  len | - length of buffer

Returns
  success

## Constructor & Destructor Documentation

## ◆ EmbeddedZipArchiveFactory()

Ogre::EmbeddedZipArchiveFactory::EmbeddedZipArchiveFactory | ( |  | ) |

## ◆ ~EmbeddedZipArchiveFactory()

virtual Ogre::EmbeddedZipArchiveFactory::~EmbeddedZipArchiveFactory | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ addEmbbeddedFile()

static void Ogre::EmbeddedZipArchiveFactory::addEmbbeddedFile | ( | const String & | name,
|  | const uint8 * | fileData,
|  | size_t | fileSize,
|  | DecryptEmbeddedZipFileFunc | decryptFunc
| ) |  |
| static

Add an embedded file to the embedded file list.

Referenced by Ogre::APKZipArchiveFactory::createInstance().

## ◆ convertPath()

virtual void Ogre::ArchiveFactory::convertPath | ( | String & | inOutPath | ) | const
| inlinevirtualinherited

Some implementations (i.e.

APKFileSystemArchive) usually modify the filename. For example in APKFileSystemArchive, "/path/to/localfile.mesh" gets internally stored as "path/to/localfile.mesh" (no leading slash), but across the platform the leading slash is required. The ArchiveManager needs to be aware of this.

Parameters

  inOutPath | Given the input path, converts it to the final path.

Reimplemented in Ogre::APKZipArchiveFactory, and Ogre::APKFileSystemArchiveFactory.

## ◆ createInstance() [1/2]

virtual Archive* Ogre::ArchiveFactory::createInstance | ( | const String & | name | ) |
| inlinevirtualinherited

Creates a new object.

Parameters

  name | Name of the object to create

Returns
  An object created by the factory. The type of the object depends on the factory.

Implements Ogre::FactoryObj< Archive >.

References Ogre::ArchiveFactory::createInstance().

Referenced by Ogre::ArchiveFactory::createInstance().

## ◆ createInstance() [2/2]

Archive* Ogre::EmbeddedZipArchiveFactory::createInstance | ( | const String & | name,
|  | bool | readOnly
| ) |  |
| inlinevirtual

Creates a new object.

Parameters

  name | Name of the object to create

Returns
  An object created by the factory. The type of the object depends on the factory.

Reimplemented from Ogre::ZipArchiveFactory.

References OGRE_NEW.

## ◆ destroyInstance()

void Ogre::ZipArchiveFactory::destroyInstance | ( | Archive * | ptr | ) |
| inlinevirtualinherited

Destroys an object which was created by this factory.

Parameters

  ptr | Pointer to the object to destroy

Implements Ogre::FactoryObj< Archive >.

References OGRE_DELETE.

## ◆ getType() [1/2]

virtual const String& Ogre::FactoryObj< Archive >::getType | ( | void |  | ) | const
| pure virtualinherited

Returns the factory type.

Returns
  The factory type.

Implemented in Ogre::APKFileSystemArchiveFactory.

## ◆ getType() [2/2]

const String& Ogre::EmbeddedZipArchiveFactory::getType | ( | void |  | ) | const

Returns the factory type.

Returns
  The factory type.

## ◆ operator delete() [1/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete() [2/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator delete() [3/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |
| ) |  |
| inlineinherited

## ◆ operator delete[]() [1/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete[]() [2/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator new() [1/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new() [2/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

operator new, with debug line info

## ◆ operator new() [3/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr
| ) |  |
| inlineinherited

placement operator new

## ◆ operator new[]() [1/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new[]() [2/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

array operator new, with debug line info

## ◆ removeEmbbeddedFile()

static void Ogre::EmbeddedZipArchiveFactory::removeEmbbeddedFile | ( | const String & | name | ) |
| static

Remove an embedded file to the embedded file list.

The documentation for this class was generated from the following file:

- OgreZip.h